lvm udev rule fails to call systemd-run

Bug #1830169 reported by bugproxy on 2019-05-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Canonical Foundations Team
lvm2 (Ubuntu)
Status tracked in Eoan
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Skipper Bug Screeners

Bug Description

[Impact]
Judging from the rule, this probably means that volumes do not disappear when the physical volume disappears.

[Test case]
Not available. But since it's just a path fix, it should not be a problem.

[Regression potential]
Removal might now actually work correctly, but it's not entirely clear how that could cause a regression.

[Other info]
In /lib/udev/rules.d/69-lvm-metad.rules file, it calls /bin/systemd-run command during removal -------
   ACTION!="remove", ENV{LVM_PV_GONE}=="1", RUN+="/bin/systemd-run /sbin/lvm pvscan --cache $major:$minor", GOTO="lvm_end"

But /bin/systemd-run is not found, in fact systemd-run is in /usr/bin/systemd-run.

xxxxxxxxxx:~$ cat /etc/issue
Ubuntu 18.04.2 LTS \n \l

xxxxxxxxxx:~$ ls /bin/systemd-run
ls: cannot access '/bin/systemd-run': No such file or directory

xxxxxxxxxx:~$ ls /usr/bin/systemd-run
/usr/bin/systemd-run

bugproxy (bugproxy) on 2019-05-23
tags: added: architecture-s39064 bugnameltc-177805 severity-medium targetmilestone-inin18041
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
affects: linux (Ubuntu) → systemd (Ubuntu)
Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Dimitri John Ledkov (xnox) wrote :

On fresh disco and up installations this "just works" due to /usr-merge by default.

On prior releases bin dir is configurable at lvm build time, which we set to /bin (as that's where we want lvm2 utils to end up), but that's not the location of systemd-run.

Needs a manual patch to lvm2, to support split-/usr systems (older releases & upgraded systems)

affects: systemd (Ubuntu) → lvm2 (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.03.02-2ubuntu2

---------------
lvm2 (2.03.02-2ubuntu2) eoan; urgency=medium

  * Fix patch of systemd-run in 69-lvm-metad.rules (LP: #1830169)

 -- Julian Andres Klode <email address hidden> Thu, 23 May 2019 16:24:43 +0200

Changed in lvm2 (Ubuntu Eoan):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → In Progress
tags: added: id-5cf4e60af7841930654ed12b
description: updated

Hello bugproxy, or anyone else affected,

Accepted lvm2 into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lvm2/2.02.176-4.1ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in lvm2 (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Brian Murray (brian-murray) wrote :

Hello bugproxy, or anyone else affected,

Accepted lvm2 into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lvm2/2.02.176-4.1ubuntu3.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in lvm2 (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

Successfully verified on cosmic - adjusting cosmic tag.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

Successfully verified on disco - adjusting disco tag.

tags: added: verification-done-disco
removed: verification-needed-disco
Changed in lvm2 (Ubuntu Bionic):
status: New → In Progress
Changed in lvm2 (Ubuntu Xenial):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.176-4.1ubuntu4.1

---------------
lvm2 (2.02.176-4.1ubuntu4.1) disco; urgency=medium

  * Fix patch of systemd-run in 69-lvm-metad.rules (LP: #1830169)

 -- Julian Andres Klode <email address hidden> Tue, 04 Jun 2019 11:49:12 +0200

Changed in lvm2 (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for lvm2 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lvm2 - 2.02.176-4.1ubuntu3.18.10.1

---------------
lvm2 (2.02.176-4.1ubuntu3.18.10.1) cosmic; urgency=medium

  * Fix patch of systemd-run in 69-lvm-metad.rules (LP: #1830169)

 -- Julian Andres Klode <email address hidden> Tue, 04 Jun 2019 11:56:25 +0200

Changed in lvm2 (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers